// TestDialog.cpp : implementation file
//

#include "stdafx.h"
#include "TesteTabCtrlHaenger.h"
#include "TestDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTestDialog dialog


CTestDialog::CTestDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CTestDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTestDialog)
	m_Radio = 0;
	//}}AFX_DATA_INIT
}


void CTestDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestDialog)
	DDX_Control(pDX, IDC_TAB1, m_TabCtrl);
	DDX_Radio(pDX, IDC_RADIO0, m_Radio);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTestDialog, CDialog)
	//{{AFX_MSG_MAP(CTestDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestDialog message handlers

void AddTab(CTabCtrl &m_TabCtrl, CWnd* pWnd, LPCTSTR lpszCaption)
{
	ASSERT_VALID(pWnd);
	TCHAR *Caption=_tcsdup(lpszCaption);
	TCITEM item;
	item.mask = TCIF_TEXT|TCIF_PARAM|TCIF_IMAGE;
	item.pszText = Caption;
	item.iImage = -1;

	int iIndex = m_TabCtrl.GetItemCount();
	m_TabCtrl.InsertItem(iIndex, &item);
	free(Caption);

	m_TabCtrl.ModifyStyleEx(0, WS_EX_CONTROLPARENT);
	pWnd->ModifyStyleEx(0, WS_EX_CONTROLPARENT);

	pWnd->ShowWindow(iIndex ? SW_HIDE : SW_SHOW);

	pWnd->SetWindowPos(NULL, 4, 24, 0, 0, SWP_FRAMECHANGED | SWP_NOSIZE | SWP_NOZORDER);
}

BOOL CTestDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_SubDialog.Create(IDD_DIALOG2, &m_TabCtrl);
	AddTab(m_TabCtrl, &m_SubDialog, "SubPage");
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
